import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerLernabschnittNachpruefung extends JavaObject {
    grund: String;
    fachID: number;
    note: String | null;
    datum: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerLernabschnittNachpruefung;
    static transpilerToJSON(obj: SchuelerLernabschnittNachpruefung): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerLernabschnittNachpruefung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerLernabschnittNachpruefung(obj: unknown): SchuelerLernabschnittNachpruefung;
